/*
 * Created on 4-mag-2004
 */
package a3.event;

import jaCop.domain.*;

/**
 * @author Lompa
 */
public class StructureSoundedEvent extends A3Event {
	
	private COPNode node = null;
	private COPNode[] structure = null;
	
	public StructureSoundedEvent(Object source, String community, COPNode senderCOPNode, COPNode[] structure){
		super(source, community);
		this.node = senderCOPNode;
		this.structure = structure;
	}
	/**
	 * @return Returns the node.
	 */
	public COPNode getSenderCOPNode() {
		return node;
	}
	
	/**
	 * @return
	 */
	public COPNode[] getStructure(){
		return structure;
	}
}
